Loading...
Searching...
No Matches
StatisticsAlgorithm.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Exceptions/Error.h>`
`#include <casacore/scimath/StatsFramework/StatsDataProvider.h>`
`#include <casacore/scimath/StatsFramework/StatisticsData.h>`
`#include <casacore/scimath/StatsFramework/StatisticsDataset.h>`
`#include <casacore/scimath/StatsFramework/StatisticsTypes.h>`
`#include <map>`
`#include <set>`
`#include <vector>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >
| Base class of statistics algorithm class hierarchy. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines